---
page_title: Trigger OTP
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/visa-agentic-transactions/trigger-otp
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fvisa-agentic-transactions%2Ftrigger-otp
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Trigger OTP



This API is used to trigger the OTP in order to finish the device binding flows## Endpoints:
- Sandbox: https://sandbox.juspay.in/initiateVerification

- Production: https://api.juspay.in/initiateVerification

## Request Type: 
POST

## Content-Type: 
application/json

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

> **Note**
> Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==


- Value: MUQ2QUZEQzhFQTY0OUU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: required
## Headers:

#### x-merchantid:
Merchant id to be passed here
- Tags: String, Mandatory
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
{
    "tokenReference": "479518c708c3e3ccb68314501ee4c702",
    "vProvisionedTokenId": "479518c708c3e3ccb68314501ee4c702",
    "clientReferenceId": "9d4050c011ee4654adec05873299a640",
    "stepUpRequestId": "Y2UyOWU0N2E1NGYzNGM2OTY4MjQxZTZhYzkxMTNkMDE="
}

```

### Sample Response:

#### Sample Response:
```plaintext
{
    "errorMessage": null,
    "status": "SUCCESS",
    "errorCode": null,
    "response": {
        "maxOTPVerificationAllowed": 3,
        "maxOTPRequestsAllowed": 3,
        "codeExpiration": 5
    }
}

```

## Body Parameters:
### Request body:

#### tokenReference:
- Description: Token reference in VISA’s backend
- Value: value
- Tags: String, Mandatory

#### vProvisionedTokenId:
- Description: Token id of the card being used in the transaction
- Tags: String, Mandatory

#### clientReferenceId:
- Description: Session identifier of VISA
- Tags: String, Mandatory

#### stepUpRequestId:
- Description: Identifier of the step up method
- Tags: String, Mandatory
## API Responses:
### 200:

#### errorMessage:

#### status:
- Value: SUCCESS
- Tags: String

#### errorCode:

#### response:
- Value:
  - **MaxOTPVerificationAllowed**:
    - Description: Maximum OTP that user can enter in the transaction
    - Value: 3
    - Tags: String
  - **MaxOTPRequestsAllowed**:
    - Description: Maximum OTP that can be triggered in the transaction
    - Value: 3
    - Tags: String
  - **CodeExpiration**:
    - Description: Time after which the OTP gets expired
    - Value: 5
    - Tags: String
- Tags: Object


---

## See Also

- [Provision Token and create Passkey](https://juspay.io/in/docs/api-reference/docs/visa-agentic-transactions/provision-token-and-create-passkey)
- [Validate OTP](https://juspay.io/in/docs/api-reference/docs/visa-agentic-transactions/validate-otp)
